<template>
  <div id="app">
    <b-navbar
      toggleable
      fixed="top"
      variant="light"
    >
      <b-navbar-toggle target="navbar-toggle-collapse" />
      <b-collapse
        id="navbar-toggle-collapse"
        is-nav
      >
        <b-navbar-nav class="ml-auto">
          <hr class="my-4">
          <b-nav-item
            class="text-center"
            to="/"
          >
            Home
          </b-nav-item>
          <hr class="my-4">
          <b-nav-item
            class="text-center"
            to="about"
          >
            About Me
          </b-nav-item>
          <hr class="my-4">
          <b-nav-item
            class="text-center"
            to="projects"
          >
            Projects
          </b-nav-item>
          <hr class="my-4">
          <b-nav-item
            class="text-center"
            to="contact"
          >
            Contact Me
          </b-nav-item>
          <hr class="my-4">
        </b-navbar-nav>
      </b-collapse>
    </b-navbar>
    <transition name="fade">
      <router-view />
    </transition>
    <footer class="footer bg-light">
      <b-container fluid>
        <b-row align-v="end">
          <b-col cols="6">
            <p class="text-left font-weight-bold">
              Made by Allen Nguyen
            </p>
          </b-col>
          <b-col cols="6">
            <b-link href="https://gitlab.com/allen.nguyen">
              <b-img
                right
                :src="require('./static/GitLabIcon.png')"
              />
            </b-link>
            <b-link href="https://www.linkedin.com/in/allen-nguyen-3180a151">
              <b-img
                right
                :src="require('./static/LinkedInIcon.png')"
              />
            </b-link>
          </b-col>
        </b-row>
      </b-container>
    </footer>
  </div>
</template>

<script>
export default {
  name: "App",
  created() {
    document.title = "Allen Nguyen";
  }
};
</script>

<style scoped>
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.5s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
  opacity: 0;
}
#app {
  min-height: 100vh;
  overflow: hidden;
  display: block;
  position: relative;
  padding-top: 56px;
  padding-bottom: 80px;
}
footer {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
}
</style>
